double quiet_nan(long z);
float quiet_nanf(long z);
double infinity();
float infinityf();
#if 0
int isnormal(double);
int isnan(double);
extern "C" int finitef(float);
extern "C" int finite(double);
#endif
int isnanf(double);
